gtk3 does not work correctly in subtle
Description

Menus, rightclick menus and dropdowns open up at random places in subtle.

I tried to reproduce this in dwm, i3, herbstluftwm and awesome, none of these have any issues with gtk3, so I dont think its a gtk3

issue.

Here a video in action: http://carnager.xssn.at/out.ogv

History

#1 - 10/28/2012 12:31 PM - Rasmus Steinke

- Assignee set to Non member users

#2 - 10/29/2012 12:46 PM - Christoph Kappel

Well, actually it is in fact a gtk3 issue, because subtle doesn't manage menu windows at all. Generally a window manager just manages top level

windows and a menu window is a child of the client's root window.

So far I'd say it is another weird expectation of a reparenting window manager, awesome does that for sure. Cannot comment on that about hlwm, but

since it uses window decoration it might reparent windows as well. Weird that it works in dwm, but tell me the name of the app and I will check the

handling of events if any handling of subtle is involved which I don't expect.

#3 - 10/29/2012 02:43 PM - Rasmus Steinke

Christoph Kappel wrote:

menu window is a child of the client's root window.

but tell me the name of the app and I will check the handling of events if any handling of subtle is involved which I don't expect.

 

The app in the screencast is spacefm-gtk3 from aur. Just tried it in dwm again, to be sure, but yea, it works there.
